<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvDisplay - Nuiverse UI</title>
  <style>
    .square-example {
      background-color: #f0f0f0;
      display: inline-block;
      margin: 0.25rem;
      padding: 16px;
    }
  </style>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>
</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Display</h1>
      <h3>inline</h3>
      <div class="square-example nv-bg-primary nv-d-inline">.nv-d-inline</div>
      <div class="square-example nv-bg-danger nv-d-inline">.nv-d-inline</div>
    </div>

    <div class="area-component">
      <h3>Inline-Block</h3>
      <div class="square-example nv-bg-primary nv-d-inline-block">.nv-d-inline-block</div>
      <div class="square-example nv-bg-danger nv-d-inline-block">.nv-d-inline-block</div>
    </div>

    <div class="area-component">
      <h3>Block</h3>
      <div class="square-example nv-bg-primary nv-d-block">.nv-d-block</div>
      <div class="square-example nv-bg-danger nv-d-block">.nv-d-block</div>
    </div>

    <div class="area-component">
      <h3>table</h3>
      <div class="square-example nv-bg-primary nv-d-table">.nv-d-table</div>
      <div class="square-example nv-bg-danger nv-d-table">.nv-d-table</div>
    </div>

    <div class="area-component">
      <h3>table-cell</h3>
      <div class="square-example nv-bg-primary nv-d-table-cell">.nv-d-table-cell</div>
      <div class="square-example nv-bg-danger nv-d-table-cell">.nv-d-table-cell</div>
    </div>

    <div class="area-component">
      <h3>table-cell</h3>
      <div class="square-example nv-bg-primary nv-d-table-row">.nv-d-table-row</div>
      <div class="square-example nv-bg-danger nv-d-table-row">.nv-d-table-row</div>
    </div>

    <div class="area-component">
      <h3>Display flex</h3>
      <div class='nv-d-flex'>
        <div class="square-example nv-bg-primary">.nv-d-flex</div>
        <div class="square-example nv-bg-danger">.nv-d-flex</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Display inline flex</h3>
      <div class='nv-d-inline-flex'>
        <div class="square-example nv-bg-primary">.nv-d-inline-flex</div>
        <div class="square-example nv-bg-danger">.nv-d-inline-flex</div>
      </div>
    </div>


    <div class="area-component">
      <h3>Display in breakpoints</h3>
      <div class="nv-d-none">Hidden on all</div>
      <div class="nv-d-none nv-d-md-block">Hidden only on mobile</div>
      <div class="nv-d-md-none nv-d-lg-block">Hidden only on md</div>
      <div class="nv-d-lg-none nv-d-xxl-block">Hidden only on lg</div>
      <div class="nv-d-xxl-none nv-d-xxxl-block">Hidden only on xxl</div>
      <div class="nv-d-xxxl-none">Hidden only on xxxl</div>
      <div class="nv-d-block">Visible on all</div>
      <div class="nv-d-block nv-d-md-none">Visible only on mobile</div>
      <div class="nv-d-none nv-d-md-block nv-d-lg-none">Visible only on md</div>
      <div class="nv-d-none nv-d-lg-block nv-d-xxl-none">Visible only on lg</div>
      <div class="nv-d-none nv-d-xxl-block nv-d-xxxl-none">Visible only on xxl</div>
      <div class="nv-d-none nv-d-xxxl-block">Visible only on xxxl</div>
      
    </div>

  </div>
</body>
</html>
 